body,
html {
    width: 100%;
}

/* Chrome, Edge, Safari */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

.kviz_input {
    padding-right: 0 !important;
}

body {
    background: -moz-linear-gradient(black, #3333ff); /* FF 3.6+ */
    background: -ms-linear-gradient(black, #3333ff); /* IE10 */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, black), color-stop(100%, #3333ff)); /* Safari 4+, Chrome 2+ */
    background: -webkit-linear-gradient(black, #3333ff); /* Safari 5.1+, Chrome 10+ */
    background: -o-linear-gradient(black, #3333ff); /* Opera 11.10 */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='black', endColorstr=#3333ff); /* IE6 & IE7 */
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='black', endColorstr=#3333ff)"; /* IE8+ */
    background: linear-gradient(black, #3333ff); /* the standard */
    background-color: black;
}

.content-section {
    padding-top: 2rem;
    padding-bottom: 7.5rem;
}

.content-section-heading h2, .content-section-heading .h2 {
    font-size: 3rem;
}

.content-section-heading h3, .content-section-heading .h3 {
    font-size: 1rem;
    text-transform: uppercase;
}

.text-faded {
    color: rgba(255, 255, 255, 0.7);
}

.scroll-to-top {
    position: fixed;
    right: 15px;
    bottom: 15px;
    display: none;
    width: 50px;
    height: 50px;
    text-align: center;
    color: #fff;
    background: rgba(52, 58, 64, 0.5);
    line-height: 50px;
}

.scroll-to-top:focus, .scroll-to-top:hover {
    color: #fff;
}

.scroll-to-top:hover {
    background: #343a40;
}

.scroll-to-top i {
    font-weight: 800;
}

#sidebar-wrapper {
    position: fixed;
    z-index: 2;
    right: 0;
    width: 250px;
    height: 100%;
    transition: all 0.4s ease 0s;
    transform: translateX(250px);
    background: #1D809F;
    border-left: 1px solid rgba(255, 255, 255, 0.1);
}

.sidebar-nav {
    position: absolute;
    top: 0;
    width: 250px;
    margin: 0;
    padding: 0;
    list-style: none;
}

.sidebar-nav li.sidebar-nav-item a {
    display: block;
    text-decoration: none;
    color: #fff;
    padding: 15px;
}

.sidebar-nav li a:hover {
    text-decoration: none;
    color: #fff;
    background: rgba(255, 255, 255, 0.2);
}

.sidebar-nav li a:active,
.sidebar-nav li a:focus {
    text-decoration: none;
}

.sidebar-nav > .sidebar-brand {
    font-size: 1.2rem;
    background: rgba(52, 58, 64, 0.1);
    height: 80px;
    line-height: 50px;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 15px;
}

.sidebar-nav > .sidebar-brand a {
    color: #fff;
    text-decoration: none;
}

.sidebar-nav > .sidebar-brand a:hover {
    color: #fff;
    background: none;
}

#sidebar-wrapper.active {
    right: 250px;
    width: 250px;
    transition: all 0.4s ease 0s;
}

.menu-toggle {
    position: fixed;
    right: 15px;
    top: 15px;
    width: 50px;
    height: 50px;
    text-align: center;
    color: #fff;
    background: rgba(52, 58, 64, 0.5);
    line-height: 50px;
    z-index: 999;
}

.menu-toggle:focus, .menu-toggle:hover {
    color: #fff;
}

.menu-toggle:hover {
    background: #343a40;
}

.btn-xl {
    padding: 1.25rem 2.5rem;
}

.callout {
    padding: 15rem 0;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.1) 0%, rgba(255, 255, 255, 0.1) 100%), url("../images/bg-callout.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.callout h2, .callout .h2 {
    font-size: 3.5rem;
    font-weight: 700;
    display: block;
    max-width: 30rem;
}

footer.footer {
    padding-top: 5rem;
    padding-bottom: 5rem;
}

footer.footer .social-link {
    display: block;
    text-decoration: none;
    height: 4rem;
    width: 4rem;
    line-height: 4.3rem;
    font-size: 1.5rem;
    background-color: #1D809F;
    transition: background-color 0.15s ease-in-out;
    box-shadow: 0 3px 3px 0 rgba(0, 0, 0, 0.1);
}

footer.footer .social-link:hover {
    background-color: #155d74;
    text-decoration: none;
}

.map {
    height: 30rem;
    cursor: pointer;
}

.map iframe {
    pointer-events: none;
    height: 100%;
    width: 100%;
    border: 0;
}

@media (max-width: 992px) {
    .map {
        height: 75%;
    }
}

.masthead {
    position: relative;
    display: table;
    width: 100%;
    height: auto;
    padding-top: 2rem;
    #padding-bottom: 8rem;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.masthead h1, .masthead .h1 {
    #font-size: 4rem;
    margin: 0;
    padding: 0;
}

@media (min-width: 992px) {
    .masthead {
        #height: 100vh;
    }

    .masthead h1, .masthead .h1 {
        #font-size: 5.5rem;
    }
}

.portfolio-name {
    font-size: 30px;
}

.portfolio-item {
    display: block;
    position: relative;
    overflow: hidden;
    max-width: 530px;
    margin: auto auto 1rem;
}

.portfolio-item .caption {
    display: flex;
    height: 100%;
    width: 100%;
    background-color: rgba(33, 37, 41, 0.2);
    position: absolute;
    top: 0;
    bottom: 0;
    z-index: 1;
}

.portfolio-item .caption .caption-content {
    color: #fff;
    margin: auto 2rem 2rem;
}

.portfolio-item .caption .caption-content h2, .portfolio-item .caption .caption-content .h2 {
    font-size: 0.8rem;
    text-transform: uppercase;
}

.portfolio-item .caption .caption-content p {
    font-weight: 300;
    font-size: 1.2rem;
}

@media (min-width: 992px) {
    .portfolio-item {
        max-width: none;
        margin: 0;
    }

    .portfolio-item .caption {
        transition: background-color 0.7s, -webkit-clip-path 0.25s ease-out;
        transition: clip-path 0.25s ease-out, background-color 0.7s;
        transition: clip-path 0.25s ease-out, background-color 0.7s, -webkit-clip-path 0.25s ease-out;
        -webkit-clip-path: inset(0px);
        clip-path: inset(0px);
    }

    .portfolio-item .caption .caption-content {
        transition: opacity 0.25s;
        margin-left: 5rem;
        margin-right: 5rem;
        margin-bottom: 5rem;
    }

    .portfolio-item img {
        transition: -webkit-clip-path 0.25s ease-out;
        transition: clip-path 0.25s ease-out;
        transition: clip-path 0.25s ease-out, -webkit-clip-path 0.25s ease-out;
        -webkit-clip-path: inset(-1px);
        clip-path: inset(-1px);
    }

    .portfolio-item:hover img {
        -webkit-clip-path: inset(2rem);
        clip-path: inset(2rem);
    }

    .portfolio-item:hover .caption {
        background-color: rgba(29, 128, 159, 0.9);
        -webkit-clip-path: inset(2rem);
        clip-path: inset(2rem);
    }
}

@media only screen and (max-width: 992px) {
    .app-desktop {
        display: none !important;
    }

    .app-mobile {

    }
}

@media only screen and (min-width: 992px) {
    .app-desktop {

    }

    .app-mobile {
        display: none !important;
    }
}

.carousel-caption {
    right: auto !important;
}

.service-icon {
    background-color: #fff;
    color: #1D809F;
    height: 80%;
    width: 80%;
    display: block;
    line-height: 7.5rem;
    font-size: 2.25rem;
    box-shadow: 0 3px 3px 0 rgba(0, 0, 0, 0.1);
}

.portfolio-img {
}

/*@media (max-width: 699px) {
    .header-img {
        width: 40%; !important;
    }
}

@media (min-width: 700px) {
    .header-img {
        width: 100%;
    }
}*/

.header-img {
    #width: 40%;
}

@font-face {
    font-family: 'NasalizationRg-Regular';
    font-style: normal;
    font-weight: normal;
    src: local('NasalizationRg-Regular'), url('../fonts/nasalization_rg.woff') format('woff');
}

.nasa-font {
    font-family: 'NasalizationRg-Regular', Fallback, sans-serif;
}

.row > .column {
    padding: 0 8px;
}

.row:after {
    content: "";
    display: table;
    clear: both;
}

/* Create four equal columns that floats next to eachother */
.column {
    float: left;
    width: 25%;
}

/* The Modal (background) */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: black;
}

/* Modal Content */
.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    width: 90%;
    max-width: 1200px;
}

/* The Close Button */
.close {
    color: white;
    position: absolute;
    top: 10px;
    right: 25px;
    font-size: 35px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #999;
    text-decoration: none;
    cursor: pointer;
}

/* Hide the slides by default */
.mySlides {
    display: none;
}

/* Next & previous buttons */
.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -50px;
    color: white;
    font-weight: bold;
    font-size: 20px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
    -webkit-user-select: none;
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

/* Number text (1/3 etc) */
.numbertext {
    color: #f2f2f2;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
}

/* Caption text */
.caption-container {
    text-align: center;
    background-color: black;
    padding: 2px 16px;
    color: white;
}

img.demo {
    opacity: 0.6;
}

.active,
.demo:hover {
    opacity: 1;
}

img.hover-shadow {
    transition: 0.3s;
}

.hover-shadow:hover {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.color-green {
    color: #085c0b;
}

.color-red {
    color: #990d0b;
}

.header-margin-b {
    margin-bottom: 3rem !important;
}

.header-margin-t {
    margin-top: 5rem !important;
}